//
// TestMIM.prg
//
#using wmConsulting.MannersInMotion
#USING System.Windows.forms

FUNCTION Start() AS void
   local oEvent             as MIMEvent
   local ConfirmationNumber as string
   local cResult            as string
   local nAmt               as decimal
   local EventDate          as datetime
   
   Try
       ? "Starting ConstClass Test"
       ? ConstClass.SQLString("Willie")
       ? "Const class test finished"
       ?
       ? "Starting MIMEvent Test"
       oEvent := mimevent{}
       oEvent:ConnStr   := "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\web\devfest2008\devfestdb\registration.mdb;User Id=admin;Password=;"
       oEvent:FullName  := "Willie Moore"
       oEvent:ID        := "20"
       oEvent:Addr1     := "303 Fran Dr"
       oEvent:Addr2     := ""
       oEvent:City      := "Alabaster"
       oEvent:State     := "AL"
       oEvent:Postal    := "37007"
       oEvent:Phone     := "205-664-9874"
       oEvent:Email     := "williem@wmconsulting.com"
       oEvent:dogName   := "Finn"
       oEvent:dogAge    := "3"
       oEvent:dogbreed  := "border Collie"
       ? "Testing Echo"
       ? oEvent:Echo("Willie was here")
       ?
       ? "Testing opening a connection"
       cResult := oEvent:OpenConnection()
       ? "Result : " + iif(empty(cResult),"OK",cResult)
       ?
       ? "Writing TempRegistration Record"
       cResult := oEvent:WriteTempRegistration()
       ? "Result : " + iif(empty(cResult),"OK",cResult)
       ?
       ? "Getting the Confirmation Number"
       cResult := oEvent:GetConfirmationNumber(ConfirmationNumber)
       ? "Result : " + iif(empty(cResult),"OK",cResult)
       ? "Conf Number is : " + ConfirmationNumber
       ?
       nAmt := 0
       EventDate := datetime{}
       cResult := oEvent:GetEventCost(nAmt,EventDate)
       ? "Result : " + iif(empty(cResult),"OK",cResult)
       ? "Event Cost is: " + nAmt:ToString()
       ? "Event Date is :" + EventDate:ToString()
       ?
       
   Catch e as system.exception
        MessageBox.Show( e:Message )
   end try
   wait
   
   RETURN 