<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cListText As String
        Dim cListValue As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim EventDate As Date
        
        Me.panel2.Visible = False
        Me.Page.SetFocus(Me.EventIDList)

        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
            
        cSQL = "SELECT EventID,EventDate,EventTitle from Events where eventopen <> 0"

        ' build our ocmmand
        oCmd = New OleDbCommand
        oCmd.Connection = conn
            
        ' send a new query, this time returning a datareader
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
	        
        oRS = oCmd.ExecuteReader()

        ' now read the data
        Do While oRS.Read()
            EventDate = oRS("EventDate")
            cListText = oRS("EventTitle") & vbTab & " - " & EventDate.ToString("d")
            cListValue = oRS("EventID").ToString()
            Me.EventIDList.Items.Add(New ListItem(cListText, cListValue))
        Loop
                       
        oRS.Close()
            
        ' close the connection now that we are finished
        conn.Close()
                    
    End Sub
    
    Protected Sub Returntoadmin_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("default.aspx")        
    End Sub
    
    Protected Sub CloseRoster_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim li As ListItem
        Dim cID As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim cSQL As String
        
        ' hide the form
        Me.panel1.Visible = False
        ' bring up the result panel            
        Me.panel2.Visible = True

        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
    
        ' get the seminar to close
        For Each li In Me.EventIDList.Items
            If li.Selected = True Then
                cID = li.Value
            End If
        Next

        cSQL = "Update Events set EventOpen = 0"
        cSQL = cSQL & " where eventID = " & cID

        ' set out command up
        oCmd = New OleDbCommand
        oCmd.Connection = conn
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
        oCmd.ExecuteNonQuery()  ' executes the command without a return value
        
        Me.txtMessage.Text = "Seminar Closed"

        ReturnButton.Visible = True
    End Sub
    
    

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Seminar Close</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
    </head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo"  runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>
                                Seminar Roster</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <form id="form1" runat="server">
                                <asp:panel id="panel1" runat="server">
                                    <table align="center" border="0">
                                        <tr>
                                            <td>
                                                <b>Select Event:</b>
                                            </td>
                                            <td>
                                                <asp:DropDownList ID="EventIDList" runat="server">
                                                </asp:DropDownList></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" align="center">
                                                <asp:Button runat="server" ID="CloseRoster" Text="Close Seminar" OnClick="CloseRoster_Click" />
                                            </td>
                                        </tr>
                                    </table> 
                                </asp:panel>
                                <asp:panel id="panel2" runat="server">
                                    <p align="center">
                                    <br /> <br />
                                        <asp:Label ID="txtMessage" runat="server" />
                                        <br />
                                        <asp:Button runat="server" ID="ReturnButton" Text="Return to Admin menu" OnClick="Returntoadmin_Click" />
                                    </p>                                        
                                </asp:panel>                            
                            </form>
	                        
						    <!-- End - Variable HTML Page code -->	
        					<div align="center">
		                        <font size="2"><a href="javascript:history.back()">Return to Previous Page</a></font>	
		    	        	    <br /><br />
		    		            <hr style="width: 85%;" />
    					        <font size="1">Last Updated: August 4th, 2006<br /></font>
                                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	    			        </div>                            
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>