<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cListText As String
        Dim cListValue As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim EventDate As Date
        
        Me.panel2.Visible = False
        Me.Page.SetFocus(Me.EventIDList)

        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
            
        cSQL = "SELECT EventID,EventDate,EventTitle from Events where InfoOnly = 0 order by EventDate desc"

        ' build our ocmmand
        oCmd = New OleDbCommand
        oCmd.Connection = conn
            
        ' send a new query, this time returning a datareader
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
	        
        oRS = oCmd.ExecuteReader()

        ' now read the data
        Do While oRS.Read()
            EventDate = oRS("EventDate")
            cListText = oRS("EventTitle") & vbTab & " - " & EventDate.ToString("d")
            cListValue = oRS("EventID").ToString()
            Me.EventIDList.Items.Add(New ListItem(cListText, cListValue))
        Loop
                       
        oRS.Close()
            
        ' close the connection now that we are finished
        conn.Close()
                    
    End Sub
    
    Protected Sub Returntoadmin_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("default.aspx")        
    End Sub
    
    Protected Sub PullRoster_Click(ByVal sender As Object, ByVal e As System.EventArgs)        
        ' hide the form
        Me.panel1.Visible = False
        ' bring up the result panel            
        Me.panel2.Visible = True
        ReturnButton.Visible = False
        Me.RegistrationGrid.DataSource = FillGrid()
        Me.RegistrationGrid.DataBind()

        ReturnButton.Visible = True
    End Sub
    
    Sub Grid_Change(ByVal sender As Object, ByVal e As DataGridPageChangedEventArgs)
        Me.RegistrationGrid.CurrentPageIndex = e.NewPageIndex
        Me.RegistrationGrid.DataBind()
    End Sub 'Grid_Change
    
    Function FillGrid() As ICollection
        Dim connStr As String
        Dim conn As OleDbConnection
    
        Dim cSQL As String
        Dim adapter As New OleDbDataAdapter()
        Dim oDS As New DataSet()
        Dim title_col As New BoundColumn()
        Dim phone_col As New BoundColumn()
        Dim dogname_col As New BoundColumn()
        Dim dogbreed_col As New BoundColumn()
        Dim dogage_col As New BoundColumn()
        Dim edit_col As New HyperLinkColumn()
        Dim delete_col As New HyperLinkColumn()
        Dim li As ListItem
        Dim cID As String

        cID = ""
        
        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()

        For Each li In Me.EventIDList.Items
            If li.Selected = True Then
                cID = li.Value
            End If
        Next
        
        Me.AddLink.NavigateUrl = "SeminarManageRosterActions.aspx?action=add&confnum=0&ID=" & cID

        cSQL = "SELECT confnum,name,phone,dogname,dogage,dogbreed,email from Registration where eventID = " & cID

        adapter.SelectCommand = New OleDbCommand(cSQL, conn)
        adapter.Fill(oDS)

        ' Add out columns
        title_col.DataField = "Name"
        title_col.HeaderText = "Owner's Name"
        Me.RegistrationGrid.Columns.Add(title_col)

        phone_col.DataField = "Phone"
        phone_col.HeaderText = "Phone"
        Me.RegistrationGrid.Columns.Add(phone_col)

        dogname_col.DataField = "dogname"
        dogname_col.HeaderText = "Dog's Name"
        Me.RegistrationGrid.Columns.Add(dogname_col)

        dogage_col.DataField = "dogage"
        dogage_col.HeaderText = "Age"
        Me.RegistrationGrid.Columns.Add(dogage_col)

        dogbreed_col.DataField = "dogbreed"
        dogbreed_col.HeaderText = "Breed"
        Me.RegistrationGrid.Columns.Add(dogbreed_col)

        edit_col.DataNavigateUrlField = "confnum"
        edit_col.DataNavigateUrlFormatString = "SeminarManageRosterActions.aspx?action=edit&confnum={0}"
        '        edit_col.DataTextField = "confnum"
        '        edit_col.DataTextFormatString = "{0:c}"
        edit_col.HeaderText = ""
        'edit_col.Target = "New"
        edit_col.Text = "Edit"
        Me.RegistrationGrid.Columns.Add(edit_col)
        

        delete_col.DataNavigateUrlField = "confnum"
        delete_col.DataNavigateUrlFormatString = "SeminarManageRosterActions.aspx?action=delete&confnum={0}"
        'delete_col.DataTextField = "confnum"
        'delete_col.DataTextFormatString = "{0:c}"
        delete_col.HeaderText = ""
        delete_col.Text = "Delete"
        'delete_col.Target = "New"
        Me.RegistrationGrid.Columns.Add(delete_col)

        Return oDS.Tables(0).DefaultView

    End Function 'FillGrid
    

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Manage Roster</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
    </head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo" runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>
                                Manage
                                Seminar Roster</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <form id="form1" runat="server">
                                <asp:panel id="panel1" runat="server">
                                    <table align="center" border="0">
                                        <tr>
                                            <td>
                                                <b>Select Event:</b>
                                            </td>
                                            <td>
                                                <asp:DropDownList ID="EventIDList" runat="server">
                                                </asp:DropDownList></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" align="center">
                                                <asp:Button runat="server" ID="PullRoster" Text="Pull Roster" OnClick="PullRoster_Click" />
                                            </td>
                                        </tr>
                                    </table> 
                                </asp:panel>
                                <asp:panel id="panel2" runat="server">
                                    <p align="center">
                                    &nbsp;<asp:DataGrid ID="RegistrationGrid" runat="server" AutoGenerateColumns="False" 
                                        BorderStyle="Double" BorderWidth="4px" CellPadding="10" ForeColor="Black" >                                        
                                        <HeaderStyle BackColor="#FFFF66" Font-Bold="True" Font-Underline="True" />
                                    </asp:DataGrid>&nbsp;
                                    <br />
                                    <asp:HyperLink ID="AddLink" Text="Add Record" runat="server" />
                                    <br /> <br />
                                        <asp:Button runat="server" ID="ReturnButton" Text="Return to Admin menu" OnClick="Returntoadmin_Click" />
                                    </p>                                        
                                </asp:panel>                            
                            </form>
	                        
						    <!-- End - Variable HTML Page code -->	
        					<div align="center">
		                        <font size="2"><a href="javascript:history.back()">Return to Previous Page</a></font>	
		    	        	    <br /><br />
		    		            <hr style="width: 85%;" />
    					        <font size="1">Last Updated: March 15th, 2007<br /></font>
                                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	    			        </div>                            
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>