<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<%@ Import Namespace="wmConsulting.MannersInMotion" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cAction As String
        Dim cConfNum As String
        Dim ID As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        
        
        ' get ut action to perform      
        cAction = LCase(Request("action"))
        cConfNum = Request("confnum")
        ID = Request("id")

        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
        
        If Not Page.IsPostBack Then
            ' set up the default panels
            Me.panel1.Visible = False
            Me.addEdit.Visible = True
            
            If cAction = "add" Then
                ' Assign the values to the textboxes
                Me.txtfullname.Text = ""
                Me.txtState.Text = ""
                Me.txtaddress.Text = ""
                Me.txtaddress2.Text = ""
                Me.txtcity.Text = ""
                Me.txtzip.Text = ""
                Me.txtEventID.Value = ""
                Me.txtphone.Text = ""
                Me.txtemail.Text = ""
                Me.txtdogname.Text = ""
                Me.txtdogage.Text = ""
                Me.txtdogbreed.Text = ""
                Me.msg.Text = ""
                Me.msg.Visible = False
                Me.btnSubmit.Text = "Add"
                Me.txtEventID.Value = ID
                
                ' make it visible and set focus
                Me.Page.SetFocus(Me.txtfullname)
            ElseIf cAction = "edit" Then
                cSQL = "Select * from registration where confnum = " & cConfNum
                ' build our ocmmand
                oCmd = New OleDbCommand
                oCmd.Connection = conn
            
                ' send a new query, this time returning a datareader
                oCmd.CommandText = cSQL
                oCmd.CommandTimeout = 300
                oRS = oCmd.ExecuteReader()
                oRS.Read()

                Me.txtfullname.Text = oRS("name")
                Me.txtState.Text = oRS("state")
                Me.txtaddress.Text = oRS("addr1")
                Me.txtaddress2.Text = oRS("addr2")
                Me.txtcity.Text = oRS("city")
                Me.txtzip.Text = oRS("zip")
                Me.txtEventID.Value = oRS("eventID")
                Me.txtphone.Text = oRS("phone")
                Me.txtemail.Text = oRS("email")
                Me.txtdogname.Text = oRS("dogname")
                Me.txtdogage.Text = oRS("dogage")
                Me.txtdogbreed.Text = oRS("dogbreed")
                Me.btnSubmit.Text = "Update"
                Me.msg.Text = ""
                Me.msg.Visible = False
                oRS.Close()
                
                ' make it visible and set focus
                Me.Page.SetFocus(Me.txtfullname)
                
            ElseIf cAction = "delete" Then
                cSQL = "delete from registration where confnum = " & cConfNum
                ' build our ocmmand
                oCmd = New OleDbCommand
                oCmd.Connection = conn
            
                ' send a new query, this time returning a datareader
                oCmd.CommandText = cSQL
                oCmd.CommandTimeout = 300
                oCmd.ExecuteNonQuery()
                               
                Me.msg.Text = "Confirmation Number " & cConfNum & " was deleted"
                Me.msg.Visible = True
                Me.panel1.Visible = True
                Me.addEdit.Visible = False
            End If
            Me.txtActtion.Value = cAction
            Me.txtConfNum.Value = cConfNum
        End If
        conn.Close()
    End Sub
    
    Protected Sub Returntoadmin_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("default.aspx")        
    End Sub
       
    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cSQL As String
        Dim submitDate As String
        Dim confNum As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim connStr As String
        Dim nAmt As Double

        ' put the user into the Pending database
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
            
        oCmd = New OleDbCommand
        oCmd.Connection = conn

        SubmitDate = Now().ToString()
        If Me.txtActtion.Value = "add" Then
            ' **************************************************
            ' * This is a nasty looking process but we have to *
            ' * do serveral things in order to add a record    *
            ' * like this.                                     *
            ' * 1) Read the event Code                         *
            ' * 2) Write the data into PendingRegistration     *
            ' *    failure to to this step will cause dup      *
            ' *    confirmation codes as it is picked up from  *
            ' *    a unique field in pending                   *
            ' * 3) Read in the ConfNum                         *
            ' * 4) Insert into Registration from Pending       *
            ' * 5) Delete the PendingRegistration data         *
            ' **************************************************
            
            ' now reaad the event cost
            cSQL = "Select EventCost from Events where"
            cSQL = cSQL & " EventID = " & Me.txtEventID.Value
            
            ' send a new query, this time returning a datareader
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
	        
            oRS = oCmd.ExecuteReader()
            ' now read the data
            oRS.Read()
            nAmt = oRS("EventCost")
            oRS.Close()
            
            cSQL = "insert into PendingRegistration (eventID,name,addr1,addr2,city,state,zip,phone,email,dogname,dogage,dogbreed,amt,paymentby,SystemTS)"
            cSQL = cSQL & " Values ("
            cSQL = cSQL & " " & ConstClass.SQLString(Me.txtEventID.Value)
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtfullname.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtaddress.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtaddress2.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtcity.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtState.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtzip.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtphone.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtemail.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtdogname.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtdogage.Text) & "'"
            cSQL = cSQL & ", '" & ConstClass.SQLString(Me.txtdogbreed.Text) & "'"
            cSQL = cSQL & ", " & nAmt.ToString()
            cSQL = cSQL & ", 'MO'"
            cSQL = cSQL & ", #" & submitDate.ToString() & "#"
            cSQL = cSQL & " )"

            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
            oCmd.ExecuteNonQuery()  ' executes the command without a return value
            
            ' retrieve the newly created confirmation number from the DB
            cSQL = "Select ConfNum from PendingRegistration where"
            cSQL = cSQL & " name = '" & ConstClass.SQLString(Me.txtfullname.Text) & "' and "
            cSQL = cSQL & " dogname = '" & ConstClass.SQLString(Me.txtdogname.Text) & "'"
            cSQL = cSQL & " and EventID = " & Me.txtEventID.Value
            cSQL = cSQL & " and SystemTS = #" & submitDate.ToString() & "#"
            
            ' send a new query, this time returning a datareader
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
	        
            oRS = oCmd.ExecuteReader()
            ' now read the data
            oRS.Read()
            confNum = oRS("confnum").ToString()
            oRS.Close()
            
            ' now write the new record into Registration
            cSQL = "insert into Registration "
            cSQL = cSQL & " select * from PendingRegistration where"
            cSQL = cSQL & " confnum = " & confNum
            
            ' set out command up
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
            oCmd.ExecuteNonQuery()  ' executes the command without a return value
 
            cSQL = "delete from PendingRegistration "
            cSQL = cSQL & " where"
            cSQL = cSQL & " confnum = " & confNum
            
            ' set out command up
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
            oCmd.ExecuteNonQuery()  ' executes the command without a return value

        ElseIf Me.txtActtion.Value = "edit" Then
            cSQL = "update registration set"
            cSQL = cSQL & " name = '" & ConstClass.SQLString(Me.txtfullname.Text) & "'"
            cSQL = cSQL & ", addr1 = '" & ConstClass.SQLString(Me.txtaddress.Text) & "'"
            cSQL = cSQL & ", addr2 = '" & ConstClass.SQLString(Me.txtaddress2.Text) & "'"
            cSQL = cSQL & ", city = '" & ConstClass.SQLString(Me.txtcity.Text) & "'"
            cSQL = cSQL & ", state = '" & ConstClass.SQLString(Me.txtState.Text) & "'"
            cSQL = cSQL & ", zip = '" & ConstClass.SQLString(Me.txtzip.Text) & "'"
            cSQL = cSQL & ", phone = '" & ConstClass.SQLString(Me.txtphone.Text) & "'"
            cSQL = cSQL & ", email = '" & ConstClass.SQLString(Me.txtemail.Text) & "'"
            cSQL = cSQL & ", dogname = '" & ConstClass.SQLString(Me.txtdogname.Text) & "'"
            cSQL = cSQL & ", dogage = '" & ConstClass.SQLString(Me.txtdogage.Text) & "'"
            cSQL = cSQL & ", dogbreed = '" & ConstClass.SQLString(Me.txtdogbreed.Text) & "'"
            cSQL = cSQL & " where confnum = " & Me.txtConfNum.Value

            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
            oCmd.ExecuteNonQuery()  ' executes the command without a return value
        End If
        Me.panel1.Visible = True
        Me.addEdit.Visible = False
       
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Manage Roster Actions</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
    </head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo" runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>
                                Manage Seminar Roster</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <form id="form1" runat="server">
                                <asp:panel id="panel1" runat="server">
                                    <p align="center">
                                    <br />
                                        <asp:Button runat="server" ID="ReturnButton" Text="Return to Admin menu" OnClick="Returntoadmin_Click" />
                                    </p>                                        
                                </asp:panel>   
                                <asp:Panel id="addEdit" runat="server">
                                    <table id="Table3" align="center" runat="server">
                                        <tr>
                                            <td colspan="2">
                                                <asp:HiddenField ID="txtcountry" runat="server" />
                                                <asp:HiddenField ID="txtEventID" runat="server" />
                                                <asp:HiddenField ID="txtConfNum" runat="server" />
                                                <asp:HiddenField ID="txtActtion" runat="server" />
                                            </td>
                                        </tr>
                                        
    	                                <!--NAME------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>  
                                            <td class="form-label">
                                                <asp:Label ID="NameLabel" Text="Name:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtfullname" Width="155px" runat="server" MaxLength="27" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtfullname"
                                                    ErrorMessage="Name Required"></asp:RequiredFieldValidator></td>
                                        </tr>

                                        <!--ADDRESS------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="AddressLabel" Text="Address:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtaddress" width="155px" runat="server" MaxLength="27" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtaddress"
                                                    ErrorMessage="Address Required"></asp:RequiredFieldValidator></td>
                                        </tr>
                                        <tr>
                                            <td class="form-label">
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtaddress2" Width="155px" runat="server" MaxLength="27" />
                                            </td>
                                        </tr>

                                        <!--CITY------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="citylabel" Text="City:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtcity" width="155px" runat="server" MaxLength="27" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtcity"
                                                    ErrorMessage="City Required"></asp:RequiredFieldValidator></td>
                                        </tr>
                            
                                        <!--STATE/US------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="StateLabel" Text="State:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtState" width="30px" runat="server" MaxLength="2" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtState"
                                                    ErrorMessage="State Required"></asp:RequiredFieldValidator></td>
                                        </tr>
        
       	                                <!--ZIP------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="ZipLabel" Text="Zip Code:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtzip" width="50px" runat="server" MaxLength="5" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtzip"
                                                    ErrorMessage="Zip Code Required"></asp:RequiredFieldValidator></td>
                                        </tr>
                                        
                                        <!--PHONE------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="PhoneLabel" Text="Phone #:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtphone" width="155px" runat="server" MaxLength="14" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="txtphone"
                                                    ErrorMessage="Phone Number Required"></asp:RequiredFieldValidator></td>                                        
                                        </tr>

                                        <!--EMAIL------------------------------------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="emaillabel" Text="Email Address:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtemail" width="200px" runat="server" MaxLength="50" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="txtemail"
                                                    ErrorMessage="Email Address Required"></asp:RequiredFieldValidator></td>                                                                                
                                        </tr>
                                                                                                               
                                        <!--Line break---------------------------------------------------------------------------------------------------------->
                                        <tr>
                                            <td colspan="2">
			                                    <hr width="80%" />
		                                    </td>
                                        </tr>
                                    
                                        <!--Dog's Name---------------------------------------------------------------------------------------------------------->
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="dognameLabel" Text="Dog's Name:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtdogname" width="155px" runat="server" MaxLength="27" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="txtdogname"
                                                    ErrorMessage="Dog's Name Required"></asp:RequiredFieldValidator></td>                                                                                
                                        </tr>

                                        <!--Dog's Age---------------------------------------------------------------------------------------------------------->
                                        <tr>
                                            <td class="form-label" style="height: 26px">
                                                <asp:Label ID="dogagelabel1" Text="Age:" runat="server" />
                                            </td>
                                            <td class="form-data" style="height: 26px">
                                                <asp:TextBox ID="txtdogage" width="30px" runat="server" MaxLength="2" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="txtdogage"
                                                    ErrorMessage="Dog's Age Required"></asp:RequiredFieldValidator>
                                                </td>                                                                                
                                        </tr>
                                        
                                        <!--Dog's Breed------------------------------------------------------------------------------------------------------>
                                        <tr>
                                            <td class="form-label">
                                                <asp:Label ID="DogBreedLabel1" Text="Breed:" runat="server" />
                                            </td>
                                            <td class="form-data">
                                                <asp:TextBox ID="txtdogbreed" width="155px" runat="server" MaxLength="27" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="txtdogbreed"
                                                    ErrorMessage="Dog's Breed Required"></asp:RequiredFieldValidator></td>                                                                                
                                        </tr>
                                                                                                           
                                        <!--SUBMIT BUTTONS------------------------------------------------------------------------------------------------------------------------------------>                                
                                        <tr>
                                            <td width="100%" align="center" colspan="2">
		    	                                <br />
                                                <asp:button ID="btnSubmit" onclick="btnSubmit_Click" text="Continue" runat="server" />&nbsp;
                                                <br />
                                                <br />
                                            </td>
                                        </tr>
                                    </table>
                                
                                </asp:Panel>
                            </form>
	                        
						    <!-- End - Variable HTML Page code -->	
        					<div align="center">
		                        <font size="2"><a href="javascript:history.back()">Return to Previous Page</a></font>	
		    	        	    <br /><br />
		    		            <hr style="width: 85%;" />
    					        <font size="1">Last Updated: March 15th, 2007<br /></font>
                                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	    			        </div>                            
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>