<%@ Page Language="VB" ClassName="HerdingRegisterValidate" %>

<%@ Reference Page="HerdingRegister.aspx" %>

<script runat="server">
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim TransferFrom As HerdingRegister
        Dim cMsg As String
        Dim connStr As String
        Dim state As String
        Dim country As String
        Dim fullname As String
        Dim addr As String
        Dim addr2 As String
        Dim cit As String
        Dim postal As String
        Dim phone As String
        Dim eml As String
        Dim dogname As String
        Dim dogage As String
        Dim dogbreed As String
        Dim retrn As Long
        Dim cUrl As String
        Dim ID As String

        If Not Page.IsPostBack Then
            ' set the reference to the prior page so I can extract the data
            TransferFrom = CType(Context.Handler, HerdingRegister)
        
            country = TransferFrom.country
            state = TransferFrom.state
            fullname = TransferFrom.fullname
            addr = TransferFrom.address
            addr2 = TransferFrom.address2
            cit = TransferFrom.city
            dogname = TransferFrom.dogname
            dogage = TransferFrom.dogage
            dogbreed = TransferFrom.dogbreed
            postal = TransferFrom.zip
            phone = TransferFrom.phone
            eml = TransferFrom.email
            ID = TransferFrom.EventID
            Me.msg.Text = ""
            Me.msg.Visible = False
            
        
            ' we might be transfering in a message or 2 the old way.
            retrn = CLng(Request("retrn"))
            cMsg = Trim(Request("msg"))
            cMsg = ""

            connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
            If cMsg > "" Then
                msg.Text = cMsg
                msg.Font.Size = "14"
                msg.ForeColor = Drawing.Color.Red
                msg.Visible = True
            End If

            If IsNumeric(retrn) Then
                retrn = CInt(retrn)
            Else
                retrn = 0
            End If


            cUrl = "HerdingRegister.aspx?&country=" & country & "&city=" & Server.HtmlEncode(cit)
            cUrl = cUrl & "&fullname=" & Server.HtmlEncode(fullname)
            cUrl = cUrl & "&state=" & Server.HtmlEncode(state) & "&zip=" & Server.HtmlEncode(postal) & "&phone=" & Server.HtmlEncode(phone)
            cUrl = cUrl & "&address=" & Server.HtmlEncode(addr) & "&address2=" & Server.HtmlEncode(addr2) & "&email=" & Server.HtmlEncode(eml)
            cUrl = cUrl & "&dogname=" & Server.HtmlEncode(dogname) & "&dogage=" & Server.HtmlEncode(dogage) & "&dogbreed=" & Server.HtmlEncode(dogbreed)
            cUrl = cUrl & "&EventID=" & Server.HtmlEncode(ID)
	
            If retrn = 0 Then
                If country = "" And fullname = "" And country = "" And cit = "" And addr = "" And dogname = "" And dogage = "" And dogbreed = "" Then
                    cUrl = cUrl & "&msg=ALL fields required"
                    Response.BufferOutput = True
                    Response.Redirect(cUrl)
                End If
                country = UCase(country)
                If country = "US" Or country = "USA" Then
                    If state = "" Or fullname = "" Or phone = "" Or cit = "" Or addr = "" Or dogname = "" Or dogage = "" Or dogbreed = "" Then
                        cUrl = cUrl & "&msg=ALL fields required"
                        Response.BufferOutput = True
                        Response.Redirect(cUrl)
                    End If
                End If
            
            End If
                
            ' and assign the label data for the user to validate
            Me.txtFullName.Text = fullname
            Me.txtstate.Text = state
            Me.txtAddress.Text = addr
            Me.txtAddress2.Text = addr2
            Me.txtcity.Text = cit
            Me.txtCountry.Text = country
            Me.txtZip.Text = postal
            Me.txtphone.Text = phone
            Me.txtemail.Text = eml
            Me.txtdogname.Text = dogname
            Me.txtdogage.Text = dogage
            Me.txtdogbreed.Text = dogbreed
            Me.txtEventID.Value = ID
        End If
	    
    End Sub
    
    ' set up our transfer properties
    Public ReadOnly Property fullname() As String
        Get
            Return Me.txtFullName.Text
        End Get
    End Property
    Public ReadOnly Property address() As String
        Get
            Return Me.txtAddress.Text
        End Get
    End Property
    Public ReadOnly Property address2() As String
        Get
            Return Me.txtAddress2.Text
        End Get
    End Property
    Public ReadOnly Property city() As String
        Get
            Return Me.txtcity.Text
        End Get
    End Property
    Public ReadOnly Property state() As String
        Get
            Return Me.txtstate.Text
        End Get
    End Property
    Public ReadOnly Property zip() As String
        Get
            Return Me.txtZip.Text
        End Get
    End Property
    Public ReadOnly Property country() As String
        Get
            Return Me.txtCountry.Text
        End Get
    End Property
    Public ReadOnly Property phone() As String
        Get
            Return Me.txtphone.Text
        End Get
    End Property
    Public ReadOnly Property email() As String
        Get
            Return Me.txtemail.Text
        End Get
    End Property
    Public ReadOnly Property dogname() As String
        Get
            Return Me.txtdogname.Text
        End Get
    End Property
    Public ReadOnly Property dogage() As String
        Get
            Return Me.txtdogage.Text
        End Get
    End Property
    Public ReadOnly Property dogbreed() As String
        Get
            Return Me.txtdogbreed.Text
        End Get
    End Property
    Public ReadOnly Property EventID() As String
        Get
            Return Me.txtEventID.Value
        End Get
    End Property
    

    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        If Page.IsValid Then
            Server.Transfer("HerdingRegister-PaymentOptions.aspx")
        End If
    End Sub

</script>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Registration Validation</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css"
        media="screen" />
</head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1"
        runat="server">
        <tr>
            <td width="100%" valign="top" align="left">
                <br />
                <table width="100%" align="center" border="0" id="Table2" runat="server">
                    <tr>
                        <td colspan="2">
                            <!-- TD2 -->
                            <h1>
                                Manners in Motion Events Confirmation Form</h1>
                            (Please confirm your details. Hit your browser's back button to make corrections)
                            <br />
                            <asp:Label runat="server" ID="msg" Visible="false">
                            </asp:Label>
                            <hr />
                            <!-- Start - Variable HTML Page code -->
                            <!--BEGIN FORM------------------------------------------------------------------------------------------------------------------------------->
                            <table width="100%" align="center" id="formTable">
                                <form id="HerdingRegisterValidate" method="post" runat="server">
                                    <asp:HiddenField ID="txtEventID" runat="server" />
                                    <!--NAME------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="Label1" Text="Name:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtFullName" runat="server" />
                                        </td>
                                    </tr>
                                    <!--ADDRESS------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="Label2" Text="Address:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtAddress" runat="server" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="form-label">
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtAddress2" runat="server" />
                                        </td>
                                    </tr>
                                    <!--CITY------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label3" Text="City:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtcity" runat="server" />
                                        </td>
                                    </tr>
                                    <!--STATE/US------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label4" Text="State:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtstate" runat="server" />
                                        </td>
                                    </tr>
                                    <!--ZIP------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label5" Text="Zip Code:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtZip" runat="server" />
                                        </td>
                                    </tr>
                                    <!--PRINT COUNTRY------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label11" Text="Country:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtCountry" runat="server" />
                                        </td>
                                    </tr>
                                    <!--PHONE------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="Label6" Text="Phone #:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtphone" runat="server" />
                                        </td>
                                    </tr>
                                    <!--EMAIL------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label7" Text="Email Address:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtemail" runat="server" />
                                        </td>
                                    </tr>
                                    <!--Line break---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td colspan="2">
                                            <hr width="80%" />
                                        </td>
                                    </tr>
                                    <!--Dog's Name---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="Label8" Text="Dog's Name:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtdogname" runat="server" />
                                        </td>
                                    </tr>
                                    <!--Dog's Age---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label9" Text="Age:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtdogage" runat="server" />
                                        </td>
                                    </tr>
                                    <!--Dog's Breed------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label10" Text="Breed:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="txtdogbreed" runat="server" />
                                        </td>
                                    </tr>
                                    <!--SUBMIT AND HIDDEN FIELDS------------------------------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td colspan="2" align="center">
                                            <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" Text="          Continue          "
                                                runat="server" />
                                            <br />
                                            <br />
                                            <b><font color="#ff0000" size="3">Please click "Continue" only once. The next page should
                                                appear momentarily. </font></b>
                                        </td>
                                    </tr>
                                </form>
                            </table>
                            <!-- End - Variable HTML Page code -->
                            <!-- Footer lines goes here -->
                            <center>
                                <a href="javascript:history.back()">Return to Previous Page</a>
                            </center>
                            <br />
                            <marquee behavior="alternate" direction="right" bgcolor="#6898d0" scrolldelay="50"
                                scrollamount="3" width="100%" height="16" style="color: #ffffff">
                                Thank You for your interest in our Events. 
                            </marquee>
                            <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
                        </td>
                    </tr>
                </table>
                <!-- id=Table2 -->
            </td>
        </tr>
    </table>
    <!-- id=Table1 -->
</body>
</html>
