<%@ Page Language="VB" ClassName="HerdingRegister" %>

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim cMsg As String
        Dim connStr As String
        Dim state As String
        Dim country As String
        Dim fullname As String
        Dim addr As String
        Dim addr2 As String
        Dim cit As String
        Dim postal As String
        Dim phone As String
        Dim eml As String
        Dim dogname As String
        Dim dogage As String
        Dim dogbreed As String
        Dim ID As String
        
        If Not Page.IsPostBack Then
            ' only load the items on the first time.
            
            ' set our connection string just incase
            connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")

            country = Trim(UCase(Request("country")))
            state = Trim(Request("state"))
            fullname = Trim(Request("fullname"))
            addr = Trim(Request("address"))
            addr2 = Trim(Request("address2"))
            cit = Trim(Request("city"))
            postal = Trim(Request("zip"))
            phone = Trim(Request("phone"))
            eml = Trim(Request("email"))
            dogname = Trim(Request("dogname"))
            dogage = Trim(Request("dogage"))
            dogbreed = Trim(Request("dogbreed"))
            ID = Trim(Request("eventid"))

            ' set the country to US and State to AL as the default
            If country = "" Then
                country = "US"
                state = "AL"
            End If
        
            ' Assign the values to the textboxes
            Me.txtcountry.Value = country
            Me.txtfullname.Text = fullname
            Me.txtState.Text = state
            Me.txtaddress.Text = addr
            Me.txtaddress2.Text = addr2
            Me.txtcity.Text = cit
            Me.txtzip.Text = postal
            Me.CountryLabel.Text = country
            Me.txtcountry.Value = country
            Me.txtEventID.Value = ID
            Me.txtphone.Text = phone
            Me.txtemail.Text = eml
            Me.txtdogname.Text = dogname
            Me.txtdogage.Text = dogage
            Me.txtdogbreed.Text = dogbreed
            Me.msg.Text = ""
            Me.msg.Visible = False
            Me.Page.SetFocus(Me.txtfullname)

            
            ' set any message that may have been passed into the form
            cMsg = Trim(Request("msg"))
            If cMsg > "" Then
                msg.Text = cMsg
                msg.Font.Size = "14"
                msg.ForeColor = Drawing.Color.Red
                msg.Visible = True
            End If
        End If
    End Sub

    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        If Page.IsValid Then
            Server.Transfer("HerdingRegister-Validate.aspx")
        End If
    End Sub
    
    ' set up our transfer properties
    Public ReadOnly Property fullname() As String
        Get
            Return Me.txtfullname.Text
        End Get
    End Property
    Public ReadOnly Property address() As String
        Get
            Return Me.txtaddress.Text
        End Get
    End Property
    Public ReadOnly Property address2() As String
        Get
            Return Me.txtaddress2.Text
        End Get
    End Property    
    Public ReadOnly Property city() As String
        Get
            Return Me.txtcity.Text
        End Get
    End Property
    Public ReadOnly Property state() As String
        Get
            Return Me.txtState.Text
        End Get
    End Property
    Public ReadOnly Property zip() As String
        Get
            Return Me.txtzip.Text
        End Get
    End Property
    Public ReadOnly Property country() As String
        Get
            Return Me.CountryLabel.Text
        End Get
    End Property
    Public ReadOnly Property phone() As String
        Get
            Return Me.txtphone.Text
        End Get
    End Property
    Public ReadOnly Property email() As String
        Get
            Return Me.txtemail.Text
        End Get
    End Property
    Public ReadOnly Property dogname() As String
        Get
            Return Me.txtdogname.Text
        End Get
    End Property
    Public ReadOnly Property dogage() As String
        Get
            Return Me.txtdogage.Text
        End Get
    End Property
    Public ReadOnly Property dogbreed() As String
        Get
            Return Me.txtdogbreed.Text
        End Get
    End Property
    Public ReadOnly Property EventID() As String
        Get
            Return Me.txtEventID.value
        End Get
    End Property

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
        <meta http-equiv="Content-Language" content="en-us" />
        <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
        <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
        <meta name="robots" content="FOLLOW,INDEX" />
        <title>Manners In Motion - Registration Form</title>
        <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
	</head>
    <body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2" runat="server">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo" runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>Event Registration Form</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <!-------------  Main Form ------------->
                            <form method="post" id="RegistrationMain" runat="server">
                                <table align="center" runat="server">
                                    <tr>
                                        <td colspan="2">
                                            <asp:HiddenField ID="txtcountry" runat="server" />
                                            <asp:HiddenField ID="txtEventID" runat="server" />
                                        </td>
                                    </tr>
                                    
    	                            <!--NAME------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>  
                                        <td class="form-label">
                                            <asp:Label ID="NameLabel" Text="Name:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtfullname" Width="155px" runat="server" MaxLength="27" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtfullname"
                                                ErrorMessage="Name Required"></asp:RequiredFieldValidator></td>
                                    </tr>

                                    <!--ADDRESS------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="AddressLabel" Text="Address:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtaddress" width="155px" runat="server" MaxLength="27" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtaddress"
                                                ErrorMessage="Address Required"></asp:RequiredFieldValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="form-label">
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtaddress2" Width="155px" runat="server" MaxLength="27" />
                                        </td>
                                    </tr>

                                    <!--CITY------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="citylabel" Text="City:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtcity" width="155px" runat="server" MaxLength="27" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtcity"
                                                ErrorMessage="City Required"></asp:RequiredFieldValidator></td>
                                    </tr>
                        
                                    <!--STATE/US------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="StateLabel" Text="State:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtState" width="30px" runat="server" MaxLength="2" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtState"
                                                ErrorMessage="State Required"></asp:RequiredFieldValidator></td>
                                    </tr>
    
       	                            <!--ZIP------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="ZipLabel" Text="Zip Code:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtzip" width="50px" runat="server" MaxLength="5" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtzip"
                                                ErrorMessage="Zip Code Required"></asp:RequiredFieldValidator></td>
                                    </tr>
                                    
                                    <!--PRINT COUNTRY------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="label5" Text="Country:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:Label ID="CountryLabel" runat="server" />                                        
                                        </td>
                                    </tr>

                                    <!--PHONE------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="PhoneLabel" Text="Phone #:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtphone" width="155px" runat="server" MaxLength="14" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="txtphone"
                                                ErrorMessage="Phone Number Required"></asp:RequiredFieldValidator></td>                                        
                                    </tr>

                                    <!--EMAIL------------------------------------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="emaillabel" Text="Email Address:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtemail" width="200px" runat="server" MaxLength="50" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="txtemail"
                                                ErrorMessage="Email Address Required"></asp:RequiredFieldValidator></td>                                                                                
                                    </tr>
                                                                                                           
                                    <!--Line break---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td colspan="2">
			                                <hr width="80%" />
		                                </td>
                                    </tr>
                                
                                    <!--Dog's Name---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="dognameLabel" Text="Dog's Name:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtdogname" width="155px" runat="server" MaxLength="27" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="txtdogname"
                                                ErrorMessage="Dog's Name Required"></asp:RequiredFieldValidator></td>                                                                                
                                    </tr>

                                    <!--Dog's Age---------------------------------------------------------------------------------------------------------->
                                    <tr>
                                        <td class="form-label" style="height: 26px">
                                            <asp:Label ID="dogagelabel1" Text="Age:" runat="server" />
                                        </td>
                                        <td class="form-data" style="height: 26px">
                                            <asp:TextBox ID="txtdogage" width="30px" runat="server" MaxLength="2" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="txtdogage"
                                                ErrorMessage="Dog's Age Required"></asp:RequiredFieldValidator>
                                            </td>                                                                                
                                    </tr>
                                    
                                    <!--Dog's Breed------------------------------------------------------------------------------------------------------>
                                    <tr>
                                        <td class="form-label">
                                            <asp:Label ID="DogBreedLabel1" Text="Breed:" runat="server" />
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtdogbreed" width="155px" runat="server" MaxLength="27" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="txtdogbreed"
                                                ErrorMessage="Dog's Breed Required"></asp:RequiredFieldValidator></td>                                                                                
                                    </tr>
                                                                                                       
                                    <!--SUBMIT BUTTONS------------------------------------------------------------------------------------------------------------------------------------>                                
                                    <tr>
                                        <td width="100%" align="center" colspan="2">
		    	                            <br />
                                            <asp:button ID="btnSubmit" onclick="btnSubmit_Click" text="Continue" runat="server" />
                                            <input type="reset" value="Clear Form" runat="server" /> 
                                            <br />
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </form>
						    <!-- End - Variable HTML Page code -->	

                            <!-- Footer lines goes here -->
                            <center>
                                 <a href="javascript:history.back()">Return to Previous Page</a>
                            </center>
                            <br/>

                            <marquee behavior="alternate" direction="right" bgcolor="#6898d0" scrolldelay="50" scrollamount="3" width="100%" height="16" style="COLOR: #ffffff">
                                Thank You for your interest in our Events. 
                            </marquee>
                            <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>