<%@ Page Language="vB" ClassName="LoginMain" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<%@ Import Namespace="System.Web.Security" %>
<%@ Import Namespace="wmConsulting.MannersinMotion" %>

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim cMsg
        cMsg = Trim(Request("msg"))
        If cMsg > "" Then
            msg.Text = cMsg
            msg.Font.Size = "14"
            msg.ForeColor = Drawing.Color.Red
            msg.Visible = True
        End If
        Me.Page.SetFocus(Me.txtUsername)
    End Sub
    
    Sub btnLogin_OnClick(ByVal Src As Object, ByVal E As EventArgs)
        Dim myConnection As OleDbConnection
        Dim myCommand As OleDbCommand
        Dim intUserCount As Integer
        Dim strSQL As String
        Dim connStr
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")

        strSQL = "SELECT COUNT(*) FROM LoginInfo " _
         & "WHERE username='" & ConstClass.SQLString(txtUsername.Text) & "' " _
         & "AND password='" & ConstClass.SQLString(txtPassword.Text) & "';"

        myConnection = New OleDbConnection(connStr)

        myCommand = New OleDbCommand(strSQL, myConnection)

        myConnection.Open()
        intUserCount = myCommand.ExecuteScalar()
        myConnection.Close()

        'Response.Write(intUserCount)
        If intUserCount > 0 Then
            msg.Text = ""
            FormsAuthentication.SetAuthCookie(txtUsername.Text, True)
            FormsAuthentication.RedirectFromLoginPage(txtUsername.Text, Persist.Checked)
            
            '            Response.Redirect("login_db-protected.aspx")
        Else
            msg.Text = "Sorry... try again..."
        End If
    End Sub
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Login Form</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css"
        media="screen" />
</head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1"
        runat="server">
        <tr>
            <td width="100%" valign="top" align="left">
                <br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2">
                            <!-- TD2 -->
                            <center>
                                <asp:Image ID="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg"
                                    class="logo" runat="server" ImageAlign="Top" />
                            </center>
                            <h1>
                                Login Form</h1>
                            <asp:Label runat="server" ID="msg" Visible="False">
                            </asp:Label>
                            <p>
                            </p>
                            <hr />
                            <!-- Start - Variable HTML Page code -->
                            <!-------------  Main Form ------------->
                            <form id="Form1" runat="server">
                                <table align="center" id="login" runat="server">
                                    <tr>
                                        <td class="form-label">
                                            Username:
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtUsername" runat="server" /><br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="form-label">
                                            Password:
                                        </td>
                                        <td class="form-data">
                                            <asp:TextBox ID="txtPassword" TextMode="password" runat="server" /><br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" colspan="2">
                                            <asp:CheckBox ID="Persist" Text="Remember me" runat="server" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" colspan="2">
                                            <asp:Button ID="btnLogin" runat="server" Text="Login" OnClick="btnLogin_OnClick" />
                                        </td>
                                    </tr>
                                </table>
                            </form>
                            <!-- End - Variable HTML Page code -->
                            <!-- Footer lines goes here -->
                            <center>
                                <a href="javascript:history.back()">Return to Previous Page</a>
                            </center>
                            <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            &nbsp;</td>
                    </tr>
                </table>
                <!-- id=Table2 -->
                <br />
            </td>
        </tr>
    </table>
    <!-- id=Table1 -->
</body>
</html>
