<%@ Page Language="VB" Debug="true" ClassName="HerdingRegisterPaymentOptions" %>

<%@ Reference Page="HerdingRegister-Validate.aspx" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<%@ Import Namespace="wmConsulting.MannersinMotion" %>

<script runat="server">
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim TransferFrom As HerdingRegisterValidate
        Dim cMsg As String
        Dim connStr As String
        Dim state As String
        Dim country As String
        Dim fullname As String
        Dim addr As String
        Dim addr2 As String
        Dim cit As String
        Dim postal As String
        Dim phone As String
        Dim eml As String
        Dim dogname As String
        Dim dogage As String
        Dim dogbreed As String
        Dim ID As String
        Dim SubmitDate As String
        Dim confNum As String
        Dim cSQL As String
        Dim nAmt As Double
        Dim nCreditAmount As Double
        Dim EventDate As Date
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim oEvent As New MIMEvent
       

        If Not Page.IsPostBack Then
            ' set the reference to the prior page so I can extract the data
            TransferFrom = CType(Context.Handler, HerdingRegisterValidate)
        
            country = TransferFrom.country
            state = TransferFrom.state
            fullname = TransferFrom.fullname
            addr = TransferFrom.address
            addr2 = TransferFrom.address2
            cit = TransferFrom.city
            dogname = TransferFrom.dogname
            dogage = TransferFrom.dogage
            dogbreed = TransferFrom.dogbreed
            postal = TransferFrom.zip
            phone = TransferFrom.phone
            eml = TransferFrom.email
            ID = TransferFrom.EventID
            confNum = ""
        
            ' we might be transfering in a message or 2 the old way.
            cMsg = Trim(Request("msg"))

            If cMsg > "" Then
                msg.Text = cMsg
                msg.Font.Size = "14"
                msg.ForeColor = Drawing.Color.Red
                msg.Visible = True
            End If
            
            ' put the user into the Pending database
            connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
            oEvent.ConnStr = connStr
            oEvent.ID = ID
            oEvent.FullName = fullname
            oEvent.Addr1 = addr
            oEvent.Addr2 = addr2
            oEvent.City = cit
            oEvent.State = state
            oEvent.Postal = postal            
            oEvent.Phone = phone
            oEvent.Email = eml
            oEvent.DogName = dogname
            oEvent.DogAge = dogage
            oEvent.DogBreed = dogbreed
            nAmt = 0
            EventDate = New DateTime
            
            ' write the data out
            oEvent.WriteTempRegistration()
            oEvent.GetConfirmationNumber(confNum)
            oEvent.GetEventCost(nAmt, EventDate)

            Me.txtEventDate.Text = EventDate.ToString("D")
            nCreditAmount = nAmt * 1.05

            ' and assign the label data for the user to validate
            Me.txtFullName.Value = fullname
            Me.txtState.Value = state
            Me.txtAddress.Value = addr
            Me.txtAddress2.Value = addr2
            Me.txtCity.Value = cit
            Me.txtCountry.Value = country
            Me.txtZip.Value = postal
            Me.txtPhone.Value = phone
            Me.txtEmail.Value = eml
            Me.txtDogname.Value = dogname
            Me.txtDogAge.Value = dogage
            Me.txtDogBreed.Value = dogbreed
            Me.txtAmt.Value = FormatCurrency(nAmt)
            Me.txtamount.Text = FormatCurrency(nAmt)
            Me.txtCreditAmount.Text = FormatCurrency(nCreditAmount)
            Me.txtEventID.Value = ID
            Me.txtConfNum.Value = confNum
        End If
	    
    End Sub
    
    ' set up our transfer properties
    Public ReadOnly Property fullname() As String
        Get
            Return Me.txtFullName.Value
        End Get
    End Property
    Public ReadOnly Property address() As String
        Get
            Return Me.txtAddress.Value
        End Get
    End Property
    Public ReadOnly Property address2() As String
        Get
            Return Me.txtAddress2.Value
        End Get
    End Property
    Public ReadOnly Property city() As String
        Get
            Return Me.txtCity.Value
        End Get
    End Property
    Public ReadOnly Property state() As String
        Get
            Return Me.txtState.Value
        End Get
    End Property
    Public ReadOnly Property zip() As String
        Get
            Return Me.txtZip.Value
        End Get
    End Property
    Public ReadOnly Property country() As String
        Get
            Return Me.txtCountry.Value
        End Get
    End Property
    Public ReadOnly Property phone() As String
        Get
            Return Me.txtPhone.Value
        End Get
    End Property
    Public ReadOnly Property email() As String
        Get
            Return Me.txtEmail.Value
        End Get
    End Property
    Public ReadOnly Property dogname() As String
        Get
            Return Me.txtDogname.Value
        End Get
    End Property
    Public ReadOnly Property dogage() As String
        Get
            Return Me.txtDogAge.Value
        End Get
    End Property
    Public ReadOnly Property dogbreed() As String
        Get
            Return Me.txtDogBreed.Value
        End Get
    End Property
    Public ReadOnly Property amt() As String
        Get
            Return Me.txtAmt.Value
        End Get
    End Property
    Public ReadOnly Property EventID() As String
        Get
            Return Me.txtEventID.Value
        End Get
    End Property
    Public ReadOnly Property ConfNum() As String
        Get
            Return Me.txtConfNum.Value
        End Get
    End Property
    Public ReadOnly Property EventDate() As String
        Get
            Return Me.txtEventDate.Text
        End Get
    End Property
    
    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs)
        If Page.IsValid Then
            Server.Transfer("HerdingRegister-Money_Order.aspx")
        End If

    End Sub

    Protected Sub Paypal_ServerClick(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs)
        Dim cUrl As String
        Dim cReturn As String
        If Page.IsValid Then
            Response.BufferOutput = True
            
            ' build out cookie to keep track of the transaction
            Session("PayPal_redirected") = "true"
            Session("amt") = CDbl(Me.txtCreditAmount.Text).ToString()
            Session("confnum") = Me.txtConfNum.Value
            
            cReturn = "http://www.wmconsulting.com/mannersinmotion/HerdingRegister-After_Create.aspx"

            cUrl = "https://secure.paypal.com/cgi-bin/webscr"
            cUrl = cUrl & "?cmd=_xclick"
            cUrl = cUrl & "&business=" & "barbskalka@aol.com"
            cUrl = cUrl & "&item_name=" & "Herding Seminar with Wendy Roller"
            cUrl = cUrl & "&item_number=" & "Herding101"
            'cUrl = cUrl & "&amount=1.00"
            cUrl = cUrl & "&amount=" & CDbl(Me.txtCreditAmount.Text).ToString()
            cUrl = cUrl & "&return=" & Server.HtmlEncode(cReturn)
            'Response.Write(cUrl)
            Response.Redirect(cUrl)
        End If
    End Sub

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Payment Page</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
</head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1">
        <tr>
            <td width="100%" valign="top" align="left">
                <br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2" style="height: 432px">
                            <!-- TD2 -->
                            <h1>
                                Instant Sign Up!</h1>
                            <br />
                            <asp:Label runat="server" ID="msg" Visible="false">
                            </asp:Label>
                            <hr />
                            <p align="center">
                                <!-- Start - Variable HTML Page code -->
                                <table width="590" align="center">
                                    <tr>
                                        <td width="576" align="center" style="height: 227px">
                                            <blockquote>
                                                <p align="left">
                                                    <font color="red" size="4" face="Arial"><b>Payment Options</b></font></p>
                                                <p align="center">
                                                    <font color="blue" size="5" face="Arial"><b><u>Working Herding Seminar</u></b></font></p>
                                                <p align="left">
                                                    Herding Seminar with Wendy Roller at the Manners in Motion fields located in Sterrett
                                                    Alabama on <asp:label ID="txtEventDate" runat="server" /><asp:label ID="Label1" runat="server" /><asp:label ID="Label2" runat="server" />
                                                </p>
                                                <table>
                                                    <form id="Form1" method="post" name="mocheck1" runat="server">
                                                        <tr>
                                                            <td width="30%">
                                                                <input type="image" src="http://images.paypal.com/images/x-click-but6.gif" alt="Make payments with PayPal - it's fast, free and secure!"
                                                                    runat="server" id="Image2" onserverclick="paypal_ServerClick" />
                                                            </td>
                                                            <td width="60%" valign="top">
                                                                <font color="green" face="Arial"><b>
                                                                    <asp:Label ID="txtCreditAmount" runat="server" />
                                                                    Payment by PayPal<br />
                                                                    (Please note that Cookies MUST be allowed for this to work)</b></font>&nbsp;</td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td width="30%">
                                                                <asp:HiddenField ID="txtFullName" runat="server" />
                                                                <asp:HiddenField ID="txtAddress" runat="server" />
                                                                <asp:HiddenField ID="txtAddress2" runat="server" />
                                                                <asp:HiddenField ID="txtCity" runat="server" />
                                                                <asp:HiddenField ID="txtState" runat="server" />
                                                                <asp:HiddenField ID="txtCountry" runat="server" />
                                                                <asp:HiddenField ID="txtZip" runat="server" />
                                                                <asp:HiddenField ID="txtPhone" runat="server" />
                                                                <asp:HiddenField ID="txtEmail" runat="server" />
                                                                <asp:HiddenField ID="txtDogname" runat="server" />
                                                                <asp:HiddenField ID="txtDogAge" runat="server" />
                                                                <asp:HiddenField ID="txtDogBreed" runat="server" />
                                                                <asp:HiddenField ID="txtAmt" runat="server" />
                                                                <asp:HiddenField ID="txtEventID" runat="server" />
                                                                <asp:HiddenField ID="txtConfNum" runat="server" />
                                                                <input type="image" onserverclick="btnSubmit_Click" src="images/checkmo.jpg" runat="server"
                                                                    id="Image1" />
                                                            </td>
                                                            <td width="60%" valign="top">
                                                                <font color="green" face="Arial"><b>
                                                                    <asp:Label ID="txtamount" runat="server" />
                                                                    Payment by Personal Check (Drawn On US Bank ONLY) or Money Order</b></font>
                                                            </td>
                                                        </tr>
                                                    </form>
                                                </table>
                                            </blockquote>
                                </table>
                            </p>
                            <p>
                                <b><font color="#000080" face="Arial" size="2">
                                    <br />
                                </font></b>
                            </p>
                            <hr style="width: 80%;" />
                        </td>
                    </tr>
                </table>
                <br />
                <br />
                <center>
                    <b>Please Click on a Payment method</b>
                </center>
                <p>
                </p>
                <!-- End - Variable HTML Page code -->
                <!-- Footer lines goes here -->
                <center>
                    <a href="javascript:history.back()">Return to Previous Page</a>
                </center>
                <br />
                <marquee behavior="alternate" direction="right" bgcolor="#6898d0" scrolldelay="50"
                    scrollamount="3" width="100%" height="16" style="color: #ffffff">
                       Thank You for your interest in our Events. 
                    </marquee>
                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
                <!-- id=Table1 -->
            </td>
        </tr>
    </table>
</body>
</html>
