<%@ Page Language="VB" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.Net.Mail" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cListText As String
        Dim cListValue As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim EventDate As Date
        
        Me.panel2.Visible = False
        Me.Page.SetFocus(Me.EventIDList)

        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
            
        cSQL = "SELECT EventID,EventDate,EventTitle from Events where InfoOnly = 0 order by EventDate desc"

        ' build our ocmmand
        oCmd = New OleDbCommand
        oCmd.Connection = conn
            
        ' send a new query, this time returning a datareader
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
	        
        oRS = oCmd.ExecuteReader()

        ' now read the data
        Do While oRS.Read()
            EventDate = oRS("EventDate")
            cListText = oRS("EventTitle") & vbTab & " - " & EventDate.ToString("d")
            cListValue = oRS("EventID").ToString()
            Me.EventIDList.Items.Add(New ListItem(cListText, cListValue))
        Loop
                       
        oRS.Close()
            
        ' close the connection now that we are finished
        conn.Close()
                    
    End Sub
    
    Protected Sub Returntoadmin_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("default.aspx")        
    End Sub
    
    Protected Sub SendEmail_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim mm As MailMessage
        Dim smtp As SmtpClient
        Dim cFrom As String
        Dim cSubject As String
        Dim cTo As String
        Dim cBody As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim li As ListItem
        Dim cID As String

        
        Try
            cID = ""
            
            ' hide the form
            Me.panel1.Visible = False
            ' bring up the result panel            
            Me.panel2.Visible = True
            ReturnButton.Visible = False
            
            ' get out connection            
            connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
            conn = New OleDbConnection(connStr)
            conn.Open()

            For Each li In Me.EventIDList.Items
                If li.Selected = True Then
                    cID = li.Value
                End If
            Next
            
            cSQL = "SELECT DISTINCT email from Registration where eventID = " & cID

            ' build our ocmmand
            oCmd = New OleDbCommand
            oCmd.Connection = conn
            
            ' send a new query, this time returning a datareader
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
	        
            oRS = oCmd.ExecuteReader()
            ' now read the data
            cFrom = "herding@mannersinmotion.com"
            cBody = Me.Body.Text

            cSubject = Me.Subject.Text
            Me.txtMessageTo.Text = ""
            Do While oRS.Read()
                cTo = oRS("email")
                mm = New MailMessage(cFrom, cTo)
                mm.Subject = cSubject
                mm.Body = cBody
                
                ' let the user know who we are sending the message to
                Me.txtMessageTo.Text = Me.txtMessageTo.Text & cTo & vbCrLf
        
                smtp = New SmtpClient()
                smtp.Credentials = New NetworkCredential("admin@mannersinmotion.com", "abc.123")
                smtp.Send(mm)
            Loop
                       
            oRS.Close()
            
            ' close the connection now that we are finished
            conn.Close()
            ReturnButton.Visible = True


        Catch smtpEx As SmtpException
            'A problem occurred when sending the email message
            ClientScript.RegisterStartupScript(Me.GetType(), "OhNo", String.Format("alert('There was a problem in sending the email: {0}');", smtpEx.Message.Replace("'", "\'")), True)

        Catch generalEx As Exception
            'Some other problem occurred
            ClientScript.RegisterStartupScript(Me.GetType(), "OhNo", String.Format("alert('There was a general problem: {0}');", generalEx.Message.Replace("'", "\'")), True)
        End Try
    End Sub

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Seminar Email</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
    </head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo" runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>
                                Email Seminar Attendees</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <form id="form1" runat="server">
                                <asp:panel id="panel1" runat="server">
                                    <table align="center" border="0">
                                        <tr>
                                            <td>
                                                <b>Select Event:</b>
                                            </td>
                                            <td>
                                                <asp:DropDownList ID="EventIDList" runat="server">
                                                </asp:DropDownList></td>
                                        </tr>
                                        <tr>
                                            <td><b>Subject:</b></td>
                                            <td><asp:TextBox runat="server" ID="Subject" Columns="30"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <b>Body:</b><br />
                                                <asp:TextBox runat="server" ID="Body" TextMode="MultiLine" Columns="55" Rows="10"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" align="center">
                                                <asp:Button runat="server" ID="SendEmail" Text="Send Message" OnClick="SendEmail_Click" />
                                            </td>
                                        </tr>
                                    </table> 
                                </asp:panel>
                                <asp:panel id="panel2" runat="server">
                                    <asp:Label ID="Message" text="Sending message to:" runat="server" Font-Bold="True" Width="205px" />
                                    <asp:TextBox ID="txtMessageTo" runat="server" Height="241px" TextMode="MultiLine" Width="464px"></asp:TextBox>
                                    <br />
                                    <p align="center">
                                        <asp:Button runat="server" ID="ReturnButton" Text="Return to Admin menu" OnClick="Returntoadmin_Click" />
                                    </p>                                        
                                </asp:panel>                            
                            </form>
	                        
						    <!-- End - Variable HTML Page code -->	
        					<div align="center">
		                        <font size="2"><a href="javascript:history.back()">Return to Previous Page</a></font>	
		    	        	    <br /><br />
		    		            <hr style="width: 85%;" />
    					        <font size="1">Last Updated: August 4th, 2006<br /></font>
                                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	    			        </div>                            
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>