<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cListText As String
        Dim cListValue As String
        Dim cSQL As String
        Dim connStr As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim EventDate As Date
        Dim i As Long
        Dim strRecordsToDelete As String
        Dim arrRecordsToDelete As Array
        
        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()

        ' First we need to see if we need to delete any records.
        strRecordsToDelete = Request.Form("chkDelete")
        If strRecordsToDelete <> "" Then
            ' Check to be sure someone didn't pass in a
            ' SQL injection attack to mess with our table.
            arrRecordsToDelete = Split(strRecordsToDelete, ",")
            For i = LBound(arrRecordsToDelete) To UBound(arrRecordsToDelete)
                If Not IsNumeric(arrRecordsToDelete(i)) Then
                    strRecordsToDelete = "0"
                    Exit For
                End If
            Next i

                
            cSQL = "DELETE FROM PendingRegistration WHERE confnum IN (" & strRecordsToDelete & ");"

            ' build our ocmmand
            oCmd = New OleDbCommand
            oCmd.Connection = conn
            
            ' send a new query, this time returning a datareader
            oCmd.CommandText = cSQL
            oCmd.CommandTimeout = 300
	        
            oCmd.ExecuteNonQuery()
                
            
        End If
        
        ' normal screen initialization
        Me.panel1.Visible = True
        Me.panel2.Visible = False
        Me.Page.SetFocus(Me.EventIDList)
            
        cSQL = "SELECT EventID,EventDate,EventTitle from Events where InfoOnly = 0 order by EventDate desc"

        ' build our ocmmand
        oCmd = New OleDbCommand
        oCmd.Connection = conn
            
        ' send a new query, this time returning a datareader
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
	        
        oRS = oCmd.ExecuteReader()

        ' now read the data
        Do While oRS.Read()
            EventDate = oRS("EventDate")
            cListText = oRS("EventTitle") & vbTab & " - " & EventDate.ToString("d")
            cListValue = oRS("EventID").ToString()
            Me.EventIDList.Items.Add(New ListItem(cListText, cListValue))
        Loop
                       
        oRS.Close()
            
        ' close the connection now that we are finished
        conn.Close()
                    
    End Sub
    
    Protected Sub Returntoadmin_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("default.aspx")        
    End Sub
    
    Protected Sub PendingTable_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        ' hide the form
        Me.panel1.Visible = False
        ' bring up the result panel            
        Me.panel2.Visible = True
        ReturnButton.Visible = False
        Me.RegistrationGrid.DataSource = FillGrid()
        Me.RegistrationGrid.DataBind()

        ReturnButton.Visible = True
    End Sub
    
    Sub Grid_Change(ByVal sender As Object, ByVal e As DataGridPageChangedEventArgs)
        Me.RegistrationGrid.CurrentPageIndex = e.NewPageIndex
        Me.RegistrationGrid.DataBind()
    End Sub 'Grid_Change
    
    Function FillGrid() As ICollection
        Dim connStr As String
        Dim conn As OleDbConnection
    
        Dim cSQL As String
        Dim adapter As New OleDbDataAdapter()
        Dim oDS As New DataSet()
        Dim li As ListItem
        Dim cID As String


        cID = ""
        
        ' get out connection            
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()

        For Each li In Me.EventIDList.Items
            If li.Selected = True Then
                cID = li.Value
            End If
        Next
            
        cSQL = "SELECT name,phone,dogname,dogage,dogbreed,email,confnum from PendingRegistration where eventID = " & cID

        adapter.SelectCommand = New OleDbCommand(cSQL, conn)
        adapter.Fill(oDS)
        
        Return oDS.Tables(0).DefaultView

    End Function 'FillGrid
    

    Protected Sub Grid_Select(ByVal source As Object, ByVal e As System.Web.UI.WebControls.DataGridCommandEventArgs)
        Dim cConfNum As String
        Dim conn As OleDbConnection
        Dim oCmd As OleDbCommand
        Dim oRS As OleDbDataReader
        Dim cSQL As String
        Dim connStr As String
        Dim cAmt As String
        
        cConfNum = e.Item.Cells(0).Text.ToString()
        ' put the user into the database
        connStr = System.Configuration.ConfigurationManager.AppSettings("DSN")
        conn = New OleDbConnection(connStr)
        conn.Open()
            
        oCmd = New OleDbCommand
        oCmd.Connection = conn
            
        cSQL = "insert into Registration "
        cSQL = cSQL & " select * from PendingRegistration where"
        cSQL = cSQL & " confnum = " & cConfNum
            
        ' set out command up
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
        oCmd.ExecuteNonQuery()  ' executes the command without a return value
 
        cSQL = "delete from PendingRegistration "
        cSQL = cSQL & " where"
        cSQL = cSQL & " confnum = " & cConfNum
            
        ' set out command up
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
        oCmd.ExecuteNonQuery()  ' executes the command without a return value
        
        ' get the amount from the Events table
        cSQL = "Select EventCost from Events where EventID = (select eventID from registration where confnum = " & cConfNum & ")"
        ' set out command up
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
        oRS = oCmd.ExecuteReader()

        ' now read the data
        oRS.Read()
        cAmt = oRS("EventCost").ToString()
        oRS.Close()

        ' update the payment type and amount. The amount will be different
        ' between credit card and cash
        cSQL = "Update Registration "
        cSQL = cSQL & " Set PaymentBy = 'MO'"
        cSQL = cSQL & " ,amt = " & cAmt
        cSQL = cSQL & " where confnum = " & cConfNum
            
        ' set out command up
        oCmd.CommandText = cSQL
        oCmd.CommandTimeout = 300
        oCmd.ExecuteNonQuery()  ' executes the command without a return value        
        
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion - Manage Pending Registration</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css" media="screen" />
    </head>
<body>
    <table align="left" width="100%" cellspacing="0" cellpadding="0" border="0" id="Table1" runat="server">
        <tr>
            <td width="100%" valign="top" align="left"><br />
                <table width="100%" align="center" border="0" id="Table2">
                    <tr>
                        <td colspan="2"><!-- TD2 --> 
                            <center>
			                    <asp:image id="Logo" ImageUrl="/mannersinmotion/pictures/web%20dog%20with%20bouncing%20ball.jpg" class="logo" runat="server" ImageAlign="Top" />                                
                            </center>
                            <h1>
                                Manage Pending Registration</h1>
						    <asp:Label runat="server" id="msg" Visible="False">
						    </asp:Label>
						    <p></p>
	                        <hr />
		                    
	                        <!-- Start - Variable HTML Page code -->			                   
                            <form id="form1" runat="server" >
                                <asp:panel id="panel1" runat="server">
                                    <table align="center" border="0">
                                        <tr>
                                            <td>
                                                <b>Select Event:</b>
                                            </td>
                                            <td>
                                                <asp:DropDownList ID="EventIDList" runat="server">
                                                </asp:DropDownList></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" align="center">
                                                <asp:Button runat="server" ID="PullRoster" Text="Manage Pending" OnClick="PendingTable_Click" />
                                            </td>
                                        </tr>
                                    </table> 
                                </asp:panel>
                                <asp:panel id="panel2" runat="server">
                                    <p align="center">
                                    &nbsp;<asp:DataGrid ID="RegistrationGrid" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                        BorderStyle="Double" BorderWidth="4px" CellPadding="10" ForeColor="Black" 
                                        OnPageIndexChanged="Grid_Change" PageSize="15" ShowFooter="True" OnItemCommand="Grid_Select">
                                        <HeaderStyle BackColor="#FFFF66" Font-Bold="True" Font-Underline="True" />
                                        <PagerStyle BorderStyle="Solid" BorderWidth="4px" Mode="NumericPages" />
                                        <Columns>
                                            <asp:BoundColumn DataField="confnum" Visible="False"></asp:BoundColumn>
                                            <asp:BoundColumn DataField="Name" HeaderText="Owner's Name"></asp:BoundColumn>
                                            <asp:BoundColumn DataField="Phone" HeaderText="Phone "></asp:BoundColumn>
                                            <asp:BoundColumn DataField="dogname" HeaderText="Dog's Name"></asp:BoundColumn>
                                            <asp:BoundColumn DataField="dogage" HeaderText="Age"></asp:BoundColumn>
                                            <asp:BoundColumn DataField="dogbreed" HeaderText="Beed"></asp:BoundColumn>
                                            <asp:TemplateColumn HeaderText="Complete Registration">
                                                <ItemTemplate>
                                                    <asp:Button runat="server" CausesValidation="false" CommandName="Select" Text="Move" />
                                                </ItemTemplate>
                                            </asp:TemplateColumn>
                                            <asp:TemplateColumn HeaderText="Delete?">
                                                <ItemTemplate>
                                                    <input type="checkbox" name="chkDelete" value="<%# DataBinder.Eval(Container.DataItem, "confnum") %>">
                                                </ItemTemplate>
                                                <FooterTemplate>
                                                    <input type="submit" value="Delete!">
                                                </FooterTemplate>
                                                <ItemStyle HorizontalAlign="Center" />
                                            </asp:TemplateColumn>
                                        </Columns>
                                    </asp:DataGrid>&nbsp;
                                    <br />
                                        <asp:Button runat="server" ID="ReturnButton" Text="Return to Admin menu" OnClick="Returntoadmin_Click" />
                                    </p>                                        
                                </asp:panel>                            
                            </form>
	                        
						    <!-- End - Variable HTML Page code -->	
        					<div align="center">
		                        <font size="2"><a href="javascript:history.back()">Return to Previous Page</a></font>	
		    	        	    <br /><br />
		    		            <hr style="width: 85%;" />
    					        <font size="1">Last Updated: August 4th, 2006<br /></font>
                                <!--#include virtual="/mannersinmotion/include/sys-footer.inc" -->
	    			        </div>                            
	                    </td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	                 <tr>
	                    <td align="center" colspan="2">
	                    &nbsp;</td>
	                 </tr>
	             </table><!-- id=Table2 -->
                 <br />
            </td>
        </tr>
    </table><!-- id=Table1 -->
</body>
</html>