<%@ Page Language="VB" ClassName="HerdingRegisterMoneyOrder" %>

<%@ Reference Page="HerdingRegister-PaymentOptions.aspx" %>

<script runat="server">
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim TransferFrom As HerdingRegisterPaymentOptions
        Dim cMsg As String
        Dim connStr As String
        Dim state As String
        Dim country As String
        Dim fullname As String
        Dim addr As String
        Dim addr2 As String
        Dim cit As String
        Dim postal As String
        Dim phone As String
        Dim eml As String
        Dim dogname As String
        Dim dogage As String
        Dim dogbreed As String
        Dim amt As String
        Dim ID As String
        Dim confNum As String
        Dim EventDate As String

        If Not Page.IsPostBack Then
            ' set the reference to the prior page so I can extract the data
            TransferFrom = CType(Context.Handler, HerdingRegisterPaymentOptions)
        
            country = TransferFrom.country
            state = TransferFrom.state
            fullname = TransferFrom.fullname
            addr = TransferFrom.address
            addr2 = TransferFrom.address2
            cit = TransferFrom.city
            dogname = TransferFrom.dogname
            dogage = TransferFrom.dogage
            dogbreed = TransferFrom.dogbreed
            postal = TransferFrom.zip
            phone = TransferFrom.phone
            eml = TransferFrom.email
            amt = TransferFrom.amt
            ID = TransferFrom.EventID
            confNum = TransferFrom.ConfNum
            EventDate = TransferFrom.EventDate
                        
            ' and assign the label data for the user to validate
            Me.txtFullName.Text = fullname
            Me.txtstate.Text = state
            Me.txtAddress.Text = addr
            Me.txtAddress2.Text = addr2
            Me.txtcity.Text = cit
            Me.txtCountry.Text = country
            Me.txtZip.Text = postal
            Me.txtphone.Text = phone
            Me.txtemail.Text = eml
            Me.txtdogname.Text = dogname
            Me.txtdogage.Text = dogage
            Me.txtdogbreed.Text = dogbreed
            Me.txtAmt.Value = amt
            Me.txtPmt.Value = "MO"
            Me.txtAmount.Text = FormatCurrency(amt)
            Me.txtEventID.Value = ID
            Me.txtConfNum.Value = confNum
            Me.txtEventDate.Text = EventDate
        End If
	    
    End Sub
    
    ' set up our transfer properties
    Public ReadOnly Property fullname() As String
        Get
            Return Me.txtFullName.Text
        End Get
    End Property
    Public ReadOnly Property address() As String
        Get
            Return Me.txtAddress.Text
        End Get
    End Property
    Public ReadOnly Property address2() As String
        Get
            Return Me.txtAddress2.Text
        End Get
    End Property
    Public ReadOnly Property city() As String
        Get
            Return Me.txtcity.Text
        End Get
    End Property
    Public ReadOnly Property state() As String
        Get
            Return Me.txtstate.Text
        End Get
    End Property
    Public ReadOnly Property zip() As String
        Get
            Return Me.txtZip.Text
        End Get
    End Property
    Public ReadOnly Property country() As String
        Get
            Return Me.txtCountry.Text
        End Get
    End Property
    Public ReadOnly Property phone() As String
        Get
            Return Me.txtphone.Text
        End Get
    End Property
    Public ReadOnly Property email() As String
        Get
            Return Me.txtemail.Text
        End Get
    End Property
    Public ReadOnly Property dogname() As String
        Get
            Return Me.txtdogname.Text
        End Get
    End Property
    Public ReadOnly Property dogage() As String
        Get
            Return Me.txtdogage.Text
        End Get
    End Property
    Public ReadOnly Property dogbreed() As String
        Get
            Return Me.txtdogbreed.Text
        End Get
    End Property
    Public ReadOnly Property amt() As String
        Get
            Return Me.txtAmt.Value
        End Get
    End Property
    Public ReadOnly Property Payment() As String
        Get
            Return Me.txtPmt.Value
        End Get
    End Property
    Public ReadOnly Property EventID() As String
        Get
            Return Me.txtEventID.Value
        End Get
    End Property
    Public ReadOnly Property ConfNum() As String
        Get
            Return Me.txtConfNum.Value
        End Get
    End Property
    
    
    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim cUrl As String
        cUrl = "HerdingRegister-After_Create.aspx?&confNum=" & Server.HtmlEncode(Me.txtConfNum.Value) & "&amt=" & Server.HtmlEncode(Me.txtAmt.Value)
        cUrl = cUrl & "&pmethod=" & Server.HtmlEncode(Me.txtPmt.Value)
        If Page.IsValid Then
            Server.Transfer(cUrl)
        End If
    End Sub

</script>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
    <meta http-equiv="Content-Language" content="en-us" />
    <meta name="keywords" content="flyball, dogs, birmingham, alabama, team, bandits, agility, obedience, tracking, herding, daycare" />
    <meta name="description" content="Manners in Motion utilized the click and treat method of training " />
    <meta name="robots" content="FOLLOW,INDEX" />
    <title>Manners In Motion</title>
    <link href="/mannersinmotion/include/mim.css" rel="stylesheet" title="styles" type="text/css"
        media="screen" />
</head>
<body>
    <!--BEGIN FORM------------------------------------------------------------------------------------------------------------------------------->
    <form id="MoneyOrder" method="post" runat="server">
        <asp:HiddenField ID="txtAmt" runat="server" />
        <asp:HiddenField ID="txtPmt" runat="server" />
        <asp:HiddenField ID="txtEventID" runat="server" />
        <asp:HiddenField ID="txtConfNum" runat="server" />
        <p align="center">
            <table width="580" border="0" cellspacing="15" cellpadding="5">
                <tr>
                    <td width="100%" bgcolor="#ffffff" >
                        <p align="center">
                            <i><font color="#ff0000" size="+2" face="Verdana">Manners in Motion Working Herding
                                Seminar </font></i>
                            <br />
                            <asp:Label ID="txtEventDate" runat="server" />
                            <br />
                            Please Print And Mail To Address Below
                        </p>
                        <p>
                        </p>
                        <p>
                            <table cols="3" width="90%" border="0" cellspacing="2" cellpadding="5">
                                <!--FULL NAME------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Name:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtFullName" runat="server" /></td>
                                </tr>
                                <!--COMPANY NAME------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Address:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtAddress" runat="server" /></td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <asp:Label ID="txtAddress2" runat="server" /></td>
                                </tr>
                                <!--CITY------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">City:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtcity" runat="server" /></td>
                                </tr>
                                <!--STATE------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Verdana,Arial,Helvetica,sans-serif">State/Province</font><font
                                            color="#000000">:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtstate" runat="server" /></td>
                                </tr>
                                <!--ZIP------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Verdana,Arial,Helvetica,sans-serif">Zip/Postal
                                            Code</font></b></td>
                                    <td>
                                        <asp:Label ID="txtZip" runat="server" /></td>
                                </tr>
                                <!--COUNTRY------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Country</font></b></td>
                                    <td>
                                        <asp:Label ID="txtCountry" runat="server" /></td>
                                </tr>
                                <!--EMAIL------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Email Address:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtemail" runat="server" /></td>
                                </tr>
                                <!--PHONE------------------------------------------------------------------------------------------------------------------------------->
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Phone # :</font></b></td>
                                    <td>
                                        <asp:Label ID="txtphone" runat="server" /></td>
                                </tr>
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Dog's Name:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtdogname" runat="server" /></td>
                                </tr>
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Dog's Age:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtdogage" runat="server" /></td>
                                </tr>
                                <tr>
                                    <td align="right">
                                        <b><font color="#000000" size="-1" face="Arial,Helvetica">Dog's Breed:</font></b></td>
                                    <td>
                                        <asp:Label ID="txtdogbreed" runat="server" /></td>
                                </tr>
                            </table>
                        </p>
                        <!--PAYMENT AGREEMENT------------------------------------------------------------------------------------------------------------------------------->
                        <p>
                            <font size="-1" face="Verdana">&nbsp;&nbsp; Date: ______________________</font></p>
                        <p>
                            <font color="#000000" size="-1" face="Verdana">Signed: _______________________________________________</font></p>
                        <p>
                            &nbsp;</p>
                        <!--SUBMIT AND HIDDEN FIELDS------------------------------------------------------------------------------------------------------------------------------->
                        <p align="center">
                            <font color="red"><b>Please print this page, then click "Continue"</b></font>
                            <br>
                            <br>
                            <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" Text="          Continue          "
                                runat="server" />
                        </p>
                        <!--MAIL TO INSTRUCTIONS------------------------------------------------------------------------------------------------------------------------------->
                        <p>
                            <table width="550" border="0" cellspacing="2" cellpadding="0">
                                <tr>
                                    <td>
                                        <b>Amount Due: </b>
                                    </td>
                                    <td>
                                        <b>
                                            <asp:Label ID="txtAmount" runat="server" /></b>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="38%">
                                        <font face="Arial">Mail forms and checks<br />
                                            or money orders to:</font></td>
                                    <td width="62%">
                                        <b><font color="#000000" face="Verdana">Manners in Motion<br />
                                            109 Clark St<br />
                                            Pelham, AL 35124</font></b></td>
                                </tr>
                            </table>
                            <br />
                            <table width="550" border="0" cellspacing="2" cellpadding="0">
                                <tr>
                                    <td width="100%">
                                        <b>OR --- </b>Confirm your registration with your credit card.<br>
                                        Call (205) 621-6730 between the hours of 8:00am to 5:00pm (CST) Monday - Friday.
                                    </td>
                                </tr>
                                <tr>
                                </tr>
                            </table>
                        </p>
                    </td>
                </tr>
            </table>
        </p>
        <p>
        </p>
    </form>
</body>
</html>
