<%@ Page Language="VB" ClassName="wcmSMTP" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.Net.Mail" %>

<script runat="server">
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        ' put page load logic here
        If IsPostBack Then
            Response.Write("Message sent")          
        End If
    end sub

    Protected Sub SendEmail_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim mm As MailMessage
        Dim smtp As SmtpClient
        Dim cFrom As String
        Dim cSubject As String
        Dim cTo As String
        Dim cBody As String
        Try
            cFrom = Me.EmailFrom.Text
            cTo = Me.EmailTo.Text
            cSubject = Me.Subject.Text
            cBody = Me.Body.Text
            mm = New MailMessage(cFrom, cTo)
            mm.Subject = cSubject
            mm.Body = cBody
        
            smtp = New SmtpClient()
            smtp.Credentials = New NetworkCredential("admin@mannersinmotion.com", "abc.123")
            smtp.Send(mm)
        Catch smtpEx As SmtpException
            'A problem occurred when sending the email message
            ClientScript.RegisterStartupScript(Me.GetType(), "OhNo", String.Format("alert('There was a problem in sending the email: {0}');", smtpEx.Message.Replace("'", "\'")), True)

        Catch generalEx As Exception
            'Some other problem occurred
            ClientScript.RegisterStartupScript(Me.GetType(), "OhNo", String.Format("alert('There was a general problem: {0}');", generalEx.Message.Replace("'", "\'")), True)
        End Try
    End Sub
</script>
<html>
    <head>
        <title>
            smtp test screen
        </title>
    </head>
    <body>
        <form runat="server">
            <table border="0">
                <tr>
                    <td><b>Your Email:</b></td>
                    <td><asp:TextBox runat="server" ID="EmailFrom" Columns="30"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><b>To:</b></td>
                    <td><asp:TextBox runat="server" ID="EmailTo" Columns="30"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><b>Subject:</b></td>
                    <td><asp:TextBox runat="server" ID="Subject" Columns="30"></asp:TextBox></td>
                </tr>
                <tr>
                    <td colspan="2">
                        <b>Body:</b><br />
                        <asp:TextBox runat="server" ID="Body" TextMode="MultiLine" Columns="55" Rows="10"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" align="center">
                        <asp:Button runat="server" ID="SendEmail" Text="Send Message" OnClick="SendEmail_Click" />
                    </td>
                </tr>
            </table> 
        </form>
    </body>
</html>